Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.actions
Class TilesAction

    java.lang.Object
      |
      +--org.apache.struts.action.Action
            |
            +--org.apache.struts.tiles.actions.TilesAction

public abstract class TilesAction
extends Action

Base class for Tiles Actions. This class has the same role as Struts Action. It provides a method execute(...) called when action is invoked. The difference is, that the execute() method takes an additional parameter : tile context. This class extends Struts Action. Subclasses should override execute(ComponentContext ...) method instead of Struts execute(ActionMapping ...) method. Backward compatibility is ensured with the perform(ComponentContext ...) method.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:33:58 $

Field Summary

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`TilesAction()`

Method Summary
`ActionForward` | `execute(ActionMapping mapping, ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Original Struts Action's method.
`ActionForward` | `execute(ComponentContext context, ActionMapping mapping, ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process the specified HTTP request and create the corresponding HTTP response (or forward to another web component that will create it), with provision for handling exceptions thrown by the business logic.
`ActionForward` | `perform(ComponentContext context, ActionMapping mapping, ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Deprecated. Use the `execute()` method instead

Methods inherited from class org.apache.struts.action.Action
`execute, generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesAction

    public TilesAction()

Method Detail

### execute

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.lang.Exception

  Original Struts Action's method. Retrieve current Tile context and call TilesAction execute method. Do not overload this method !

  Overrides:
    `execute` in class `Action`
  Parameters:
    `mapping` - The ActionMapping used to select this instance.
    `form` - The optional ActionForm bean for this request (if any).
    `request` - The HTTP request we are processing.
    `response` - The HTTP response we are creating.
  Throws:
    `java.lang.Exception` - if the application business logic throws an exception
  Since:
    Struts 1.1

### execute

    public ActionForward execute(ComponentContext context,
                                 ActionMapping mapping,
                                 ActionForm form,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.lang.Exception

  Process the specified HTTP request and create the corresponding HTTP response (or forward to another web component that will create it), with provision for handling exceptions thrown by the business logic.
  Override this method to provide functionality.

  Parameters:
    `context` - The current Tile context, containing Tile attributes.
    `mapping` - The ActionMapping used to select this instance.
    `form` - The optional ActionForm bean for this request (if any).
    `request` - The HTTP request we are processing.
    `response` - The HTTP response we are creating.
  Throws:
    `java.lang.Exception` - if the application business logic throws an exception
  Since:
    Struts 1.1

### perform

    public ActionForward perform(ComponentContext context,
                                 ActionMapping mapping,
                                 ActionForm form,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Deprecated. Use the `execute()` method instead

  Process the specified HTTP request and create the corresponding HTTP response (or forward to another web component that will create it). Return an `ActionForward` instance describing where and how control should be forwarded, or `null` if the response has already been completed.

  Parameters:
    `context` - The current Tile context, containing Tile attributes.
    `mapping` - The ActionMapping used to select this instance.
    `form` - The optional ActionForm bean for this request (if any).
    `request` - The HTTP request we are processing.
    `response` - The HTTP response we are creating.
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation